### Method

# FwupdPlugin Firmware add_image

since: 1.3.1

#### Declaration [src]

    void
    fu_firmware_add_image (
      FuFirmware* self,
      FuFirmware* img
    )

#### Description [src]

Adds an image to the firmware.

NOTE: If adding images in a loop of any kind then `fu_firmware_add_image_full()` should be used instead, and `fu_firmware_set_images_max()` should be set before adding images.

If `FU_FIRMWARE_FLAG_DEDUPE_ID` is set, an image with the same ID is already present it is replaced.

Available since: 1.3.1

#### Parameters

`img`

  Type: `FuFirmware`

  A child firmware image.

  The data is owned by the caller of the method.